Unity3D Error "Pipelight Error (unity3d)"

Asked by Joseph Candari on 2014-10-17

server@serverdell:~$ sudo firefox

(process:13585): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed

(firefox:13585): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::sm-connect after class was initialised

(firefox:13585): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised

(firefox:13585): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::display after class was initialised

(firefox:13585): GLib-GObject-WARNING **: Attempt to add property GnomeProgram::default-icon after class was initialised

(firefox:13585): IBUS-WARNING **: The owner of /home/server/.config/ibus/bus is not root!
[PIPELIGHT:LIN:unknown] attached to process.
[PIPELIGHT:LIN:unknown] checking environment variable PIPELIGHT_UNITY3D_CONFIG.
[PIPELIGHT:LIN:unknown] searching for config file pipelight-unity3d.
[PIPELIGHT:LIN:unknown] trying to load config file from '/home/server/.config/pipelight-unity3d'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/etc/pipelight-unity3d'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/usr/share/pipelight/configs/pipelight-unity3d'.
[PIPELIGHT:LIN:unknown] sandbox not found or not installed!
[PIPELIGHT:LIN:unity3d] using wine prefix directory /home/server/.wine-pipelight.
[PIPELIGHT:LIN:unity3d] checking plugin installation - this might take some time.
[PIPELIGHT:LIN:unity3d] -------------------------------------------------------
[PIPELIGHT:LIN:unity3d] WARNING! YOU ARE RUNNING THIS PIPELIGHT PLUGIN AS ROOT!
[PIPELIGHT:LIN:unity3d] THIS IS USUALLY NOT A GOOD IDEA! YOU HAVE BEEN WARNED!
[PIPELIGHT:LIN:unity3d] -------------------------------------------------------
[install-dependency] Downloading and running wine-unity3d-installer.
[install-dependency] ERROR: Installer for wine-unity3d-installer did not run correctly or was aborted.
[install-dependency] ERROR: Execution of wine-unity3d-installer failed.
[PIPELIGHT:LIN:unity3d] basicplugin.c:326:checkPluginInstallation(): Plugin installer did not run correctly (exitcode = 1).
[PIPELIGHT:LIN:unity3d] basicplugin.c:109:attach(): plugin not correctly installed - aborting.
1413580263227 GMPInstallManager.simpleCheckAndInstall INFO Last check was: 2385 seconds ago, minimum seconds: 86400
1413580263227 GMPInstallManager.simpleCheckAndInstall INFO Will not check for updates.

I have done all the recommended updates/commands.

Question information

Language:
English Edit question
Status:
Answered
For:
Pipelight Edit question
Assignee:
No assignee Edit question
Last query:
2014-10-17
Last reply:
2014-10-30
Michael Müller (mqchael) said : #1

Hi,

please run:

sudo pipelight-plugin --update
sudo pipelight-plugin --create-mozilla-plugins

restart your browser and try again.

Michael

Can you help with this problem?

Provide an answer of your own, or ask Joseph Candari for more information if necessary.

To post a message you must log in.